Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.vmplugin
[Java] Interface VMPlugin

    public interface VMPlugin

Interface to access VM version based actions. This interface is for internal use only!

Authors:
  Jochen Theodorou

Method Summary
`void` | `configureAnnotation(AnnotationNode an)`
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`java.lang.Class[]` | `getPluginDefaultGroovyMethods()`
`java.lang.Class[]` | `getPluginStaticGroovyMethods()`
`void` | `invalidateCallSites()`
`void` | `setAdditionalClassInformation(ClassNode c)`

Method Detail

### configureAnnotation

    public void configureAnnotation(AnnotationNode an)

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

### getPluginDefaultGroovyMethods

    public java.lang.Class[] getPluginDefaultGroovyMethods()

### getPluginStaticGroovyMethods

    public java.lang.Class[] getPluginStaticGroovyMethods()

### invalidateCallSites

    public void invalidateCallSites()

### setAdditionalClassInformation

    public void setAdditionalClassInformation(ClassNode c)

Groovy Documentation